Subject: Error while dumping state (probably corrupted stack)
From: [email-masked] (David Relson)

15 Dec 1996 16:29:08 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 2.2 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

Running beta 17 under Windows NT 3.51 (with service pack 5), I have been
encountering lots of the following error:

        (unknown) In cygwin_except_handler
        (unknown) Error while dumping state (probably corrupted stack)

The two lines appear to repeat forever.

It is also hard to kill the DOS window where the problem occurs.  In some
cases I have to reboot the machine - which is not normal NT behavior!

I initially encountered the problem when running ls inside of bash.  The
problem seemed to occur only after I had set up all the environment
variables needed for GCC usage.  I rebuilt ls from source and ls no longer
encounters the problem.  Instead, the problem occurs while compiling source
code - as in the example below.

Anyone know what's wrong or how to fix it or work around it?

Thanks.

David

Example from program compilation:

gcc -c -DLOCALEDIR=\"/usr/local/share/locale\"
-DSHAREDIR=\"/usr/local/share\" -DHAVE_CONFIG_H -I.. -I. -I../lib -I../intl
-g -O chgrp.c
(unknown) In cygwin_except_handler
(unknown) Exception trapped!
(unknown) exception C0000005 at 1001DF60
(unknown) exception: ax 0 bx 3E9 cx 95 dx 64
(unknown) exception: si 241FB78 di 0 bp 241FB8C sp 241FB68
(unknown) exception is: STATUS_ACCESS_VIOLATION
(unknown) Stack trace:
(unknown) frame 0: sp = 0x241F9A4, pc = 0x1001282A
(unknown) frame 1: sp = 0x241F9C0, pc = 0x77FC91D2
(unknown) frame 2: sp = 0x241F9E4, pc = 0x77FC039B
(unknown) frame 3: sp = 0x241FA68, pc = 0x77FB03F2
(unknown) frame 4: sp = 0x241FB8C, pc = 0x100116CA
(unknown) frame 5: sp = 0x241FFCC, pc = 0x10011BFF
(unknown) frame 6: sp = 0x241FFD8, pc = 0x40FF0C
(unknown) frame 7: sp = 0x241FFE8, pc = 0x401012
(unknown) frame 8: sp = 0x241FFF0, pc = 0x0
(unknown) End of stack trace
(unknown) In cygwin_except_handler
(unknown) Error while dumping state (probably corrupted stack)
(unknown) In cygwin_except_handler
(unknown) Error while dumping state (probably corrupted stack)
....

David Relson                internet: [email-masked]
Ann Arbor, MI	            compuserve: 71441,1160

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".